/*********************************************************************************************************/
/*                                                                                                                                 */
/* This SPSS program will extract the United States Sentencing Commission's fiscal year  */
/* 2007 Organizational file and create a SPSS dataset.                                                     */
/*                                                                                                                                 */
/* Prior to running the program you must update the DAT file location in the                       */
/* FILE HANDLE DATA / NAME line to correspond to the location of the file on your           */
/* computer, replacing the '.' with the folder path location (e.g. 'C:\temp').                            */
/*                                                                                                                                 */
/* You must also update the file output location in the SAVE OUTFILE statement at the     */
/* end of the program to correspond to the folder you want the output file to be located,      */
/* replacing the '.' with the folder path location (e.g. 'C:\temp') .                                          */
/*                                                                                                                                 */
/*********************************************************************************************************/

/* The following line should contain the complete path and name of your raw data file */
/* The last line of this file contains the path to your output '.sav' file */

FILE HANDLE DATA / NAME=".\corp07nid.dat" LRECL=2357 .

DATA LIST FILE=DATA/
   DISGORGE 1-3             BUSTEXT 4-62 (A)         OWNSTEXT 63-75 (A)    
   FINSTXT 76-112 (A)       FINDOTXT 113 (A)         OFENTXT1 114-141 (A)  
   OFENTXT2 142 (A)         OFENTXT3 143 (A)         PRMONTXT 144-193 (A)  
   ORDERTXT 194-292 (A)     TYPEOTTX 293-491 (A)     CPIDN 492-498         
   PSR 499                  JANDC 500                PLEA 501-502          
   REASONS 503              INDICT 504               SENTRANS 505          
   WRKSHT 506               INCORPYR 507-510         INCORLOC 511          
   ORGTYPE 512              BUSCLAS 513-516          FTEMNUM 517-522       
   FTEMSIGN 523             SELFREP 524              HSMISCND 525          
   PRCRIME 526              PRCIVIL 527              OWNSTRCT 528          
   FINSTDS 529              FINSTDO 530              OFFENSE1 531-532      
   OFFENSE2 533-534         OFFENSE3 535-536         PRIMOFF 537-538       
   NOCOUNTS 539-540         SOURCES 541              OFFLVL 542-543        
   DETBFINE 544             TOLERNCE 545             HISTORY 546           
   VIOLATE 547              OBSTRUCT 548             COMPLY 549            
   ACCEPT 550-551           CCULPSCO 552-553         FCULPSCO 554-555      
   MINFINML 556-559         MAXFINML 560-562         DISPOSIT 563          
   PROBATN 564-565          COFI 566                 PROBMON 567           
   ORDERCE 568              TYPEOTHS 569-570         CRIMPURP 571          
   CANTPAY 572              ADJOFL1 573-574          ADJOFL2 575-576       
   ADJOFLHI 577-578         ADJ_B1 579-580           ADJ_B2 581            
   ADJ_BHI 582-583          ADJ_C1 584-585           ADJ_C2 586            
   ADJ_CHI 587-588          ADJ_D1 589               ADJ_D2 590            
   ADJ_DHI 591              ADJ_E1 592               ADJ_E2 593            
   ADJ_EHI 594              ADJ_F1 595               ADJ_F2 596            
   ADJ_FHI 597              ADJ_G1 598               ADJ_G2 599            
   ADJ_GHI 600              ADJ_H1 601               ADJ_H2 602            
   ADJ_HHI 603              ADJ_I1 604               ADJ_I2 605            
   ADJ_IHI 606              ADJ_J1 607               ADJ_J2 608            
   ADJ_JHI 609              ADJ_K1 610               ADJ_K2 611            
   ADJ_KHI 612              ADJ_L1 613               ADJ_L2 614            
   ADJ_LHI 615              ADJ_M1 616               ADJ_M2 617            
   ADJ_MHI 618              ADJ_N1 619               ADJ_N2 620            
   ADJ_NHI 621              ADJ_O1 622               ADJ_O2 623            
   ADJ_OHI 624              ADJ_P1 625               ADJ_P2 626            
   ADJ_PHI 627              BASADJ1 628              BASADJ2 629           
   BASADJHI 630             BASE1 631-632            BASE2 633             
   BASEHI 634-635           ADJOFR1 636-637          ADJOFR2 638-639       
   ADJOFRHI 640-641         ADJR_B1 642-643          ADJR_B2 644           
   ADJR_BHI 645-646         ADJR_C1 647              ADJR_C2 648           
   ADJR_CHI 649             ADJR_D1 650              ADJR_D2 651           
   ADJR_DHI 652             ADJR_E1 653              ADJR_E2 654           
   ADJR_EHI 655             ADJR_F1 656              ADJR_F2 657           
   ADJR_FHI 658             ADJR_G1 659              ADJR_G2 660           
   ADJR_GHI 661             ADJR_H1 662              ADJR_H2 663           
   ADJR_HHI 664             ADJR_I1 665              ADJR_I2 666           
   ADJR_IHI 667             ADJR_J1 668              ADJR_J2 669           
   ADJR_JHI 670             ADJR_K1 671              ADJR_K2 672           
   ADJR_KHI 673             ADJR_L1 674              ADJR_L2 675           
   ADJR_LHI 676             ADJR_M1 677              ADJR_M2 678           
   ADJR_MHI 679             ADJR_N1 680              ADJR_N2 681           
   ADJR_NHI 682             ADJR_O1 683              ADJR_O2 684           
   ADJR_OHI 685             ADJR_P1 686              ADJR_P2 687           
   ADJR_PHI 688             BASADR1 689              BASADR2 690           
   BASADRHI 691             BASER1 692-693           BASER2 694            
   BASERHI 695-696          ADJOFS1 697-698          ADJOFS2 699           
   ADJOFSHI 700-701         ADJS_B1 702-703          ADJS_B2 704           
   ADJS_BHI 705-706         ADJS_C1 707-708          ADJS_C2 709           
   ADJS_CHI 710-711         ADJS_D1 712              ADJS_D2 713           
   ADJS_DHI 714             ADJS_E1 715              ADJS_E2 716           
   ADJS_EHI 717             ADJS_F1 718              ADJS_F2 719           
   ADJS_FHI 720             ADJS_G1 721              ADJS_G2 722           
   ADJS_GHI 723             ADJS_H1 724              ADJS_H2 725           
   ADJS_HHI 726             ADJS_I1 727              ADJS_I2 728           
   ADJS_IHI 729             ADJS_J1 730              ADJS_J2 731           
   ADJS_JHI 732             ADJS_K1 733              ADJS_K2 734           
   ADJS_KHI 735             ADJS_L1 736              ADJS_L2 737           
   ADJS_LHI 738             ADJS_M1 739              ADJS_M2 740           
   ADJS_MHI 741             ADJS_N1 742              ADJS_N2 743           
   ADJS_NHI 744             ADJS_O1 745              ADJS_O2 746           
   ADJS_OHI 747             ADJS_P1 748              ADJS_P2 749           
   ADJS_PHI 750             BASADS1 751              BASADS2 752           
   BASADSHI 753             BASES1 754-755           BASES2 756            
   BASESHI 757-758          ADJOFC1 759-760          ADJOFC2 761           
   ADJOFCHI 762-763         ADJC_B1 764-765          ADJC_B2 766           
   ADJC_BHI 767-768         ADJC_C1 769              ADJC_C2 770           
   ADJC_CHI 771             ADJC_D1 772              ADJC_D2 773           
   ADJC_DHI 774             ADJC_E1 775              ADJC_E2 776           
   ADJC_EHI 777             ADJC_F1 778              ADJC_F2 779           
   ADJC_FHI 780             ADJC_G1 781              ADJC_G2 782           
   ADJC_GHI 783             ADJC_H1 784              ADJC_H2 785           
   ADJC_HHI 786             ADJC_I1 787              ADJC_I2 788           
   ADJC_IHI 789             ADJC_J1 790              ADJC_J2 791           
   ADJC_JHI 792             ADJC_K1 793              ADJC_K2 794           
   ADJC_KHI 795             ADJC_L1 796              ADJC_L2 797           
   ADJC_LHI 798             ADJC_M1 799              ADJC_M2 800           
   ADJC_MHI 801             ADJC_N1 802              ADJC_N2 803           
   ADJC_NHI 804             ADJC_O1 805              ADJC_O2 806           
   ADJC_OHI 807             ADJC_P1 808              ADJC_P2 809           
   ADJC_PHI 810             BASADC1 811              BASADC2 812           
   BASADCHI 813             BASEC1 814               BASEC2 815            
   BASECHI 816              ADJL_B1 817 (A)          ADJL_B2 818 (A)       
   ADJL_BHI 819 (A)         ADJL_C1 820-821 (A)      ADJL_C2 822 (A)       
   ADJL_CHI 823-824 (A)     ADJL_D1 825 (A)          ADJL_D2 826 (A)       
   ADJL_DHI 827 (A)         ADJL_E1 828 (A)          ADJL_E2 829 (A)       
   ADJL_EHI 830 (A)         ADJL_F1 831 (A)          ADJL_F2 832 (A)       
   ADJL_FHI 833 (A)         ADJL_G1 834 (A)          ADJL_G2 835 (A)       
   ADJL_GHI 836 (A)         ADJL_H1 837 (A)          ADJL_H2 838 (A)       
   ADJL_HHI 839 (A)         ADJL_I1 840 (A)          ADJL_I2 841 (A)       
   ADJL_IHI 842 (A)         ADJL_J1 843 (A)          ADJL_J2 844 (A)       
   ADJL_JHI 845 (A)         ADJL_K1 846-847 (A)      ADJL_K2 848 (A)       
   ADJL_KHI 849-850 (A)     ADJL_L1 851 (A)          ADJL_L2 852 (A)       
   ADJL_LHI 853 (A)         ADJL_M1 854 (A)          ADJL_M2 855 (A)       
   ADJL_MHI 856 (A)         ADJL_N1 857 (A)          ADJL_N2 858 (A)       
   ADJL_NHI 859 (A)         ADJL_O1 860 (A)          ADJL_O2 861 (A)       
   ADJL_OHI 862 (A)         ADJL_P1 863 (A)          ADJL_P2 864 (A)       
   ADJL_PHI 865 (A)         BASEL1 866 (A)           BASEL2 867 (A)        
   BASELHI 868 (A)          ADRL_B1 869 (A)          ADRL_B2 870 (A)       
   ADRL_BHI 871 (A)         ADRL_C1 872-873 (A)      ADRL_C2 874 (A)       
   ADRL_CHI 875-876 (A)     ADRL_D1 877 (A)          ADRL_D2 878 (A)       
   ADRL_DHI 879 (A)         ADRL_E1 880 (A)          ADRL_E2 881 (A)       
   ADRL_EHI 882 (A)         ADRL_F1 883 (A)          ADRL_F2 884 (A)       
   ADRL_FHI 885 (A)         ADRL_G1 886 (A)          ADRL_G2 887 (A)       
   ADRL_GHI 888 (A)         ADRL_H1 889 (A)          ADRL_H2 890 (A)       
   ADRL_HHI 891 (A)         ADRL_I1 892 (A)          ADRL_I2 893 (A)       
   ADRL_IHI 894 (A)         ADRL_J1 895 (A)          ADRL_J2 896 (A)       
   ADRL_JHI 897 (A)         ADRL_K1 898 (A)          ADRL_K2 899 (A)       
   ADRL_KHI 900 (A)         ADRL_L1 901 (A)          ADRL_L2 902 (A)       
   ADRL_LHI 903 (A)         ADRL_M1 904 (A)          ADRL_M2 905 (A)       
   ADRL_MHI 906 (A)         ADRL_N1 907 (A)          ADRL_N2 908 (A)       
   ADRL_NHI 909 (A)         ADRL_O1 910 (A)          ADRL_O2 911 (A)       
   ADRL_OHI 912 (A)         ADRL_P1 913 (A)          ADRL_P2 914 (A)       
   ADRL_PHI 915 (A)         BASERL1 916 (A)          BASERL2 917 (A)       
   BASERLHI 918 (A)         ADSL_B1 919 (A)          ADSL_B2 920 (A)       
   ADSL_BHI 921 (A)         ADSL_C1 922-923 (A)      ADSL_C2 924 (A)       
   ADSL_CHI 925-926 (A)     ADSL_D1 927 (A)          ADSL_D2 928 (A)       
   ADSL_DHI 929 (A)         ADSL_E1 930 (A)          ADSL_E2 931 (A)       
   ADSL_EHI 932 (A)         ADSL_F1 933 (A)          ADSL_F2 934 (A)       
   ADSL_FHI 935 (A)         ADSL_G1 936 (A)          ADSL_G2 937 (A)       
   ADSL_GHI 938 (A)         ADSL_H1 939 (A)          ADSL_H2 940 (A)       
   ADSL_HHI 941 (A)         ADSL_I1 942 (A)          ADSL_I2 943 (A)       
   ADSL_IHI 944 (A)         ADSL_J1 945 (A)          ADSL_J2 946 (A)       
   ADSL_JHI 947 (A)         ADSL_K1 948-949 (A)      ADSL_K2 950 (A)       
   ADSL_KHI 951-952 (A)     ADSL_L1 953 (A)          ADSL_L2 954 (A)       
   ADSL_LHI 955 (A)         ADSL_M1 956 (A)          ADSL_M2 957 (A)       
   ADSL_MHI 958 (A)         ADSL_N1 959 (A)          ADSL_N2 960 (A)       
   ADSL_NHI 961 (A)         ADSL_O1 962 (A)          ADSL_O2 963 (A)       
   ADSL_OHI 964 (A)         ADSL_P1 965 (A)          ADSL_P2 966 (A)       
   ADSL_PHI 967 (A)         BASESL1 968 (A)          BASESL2 969 (A)       
   BASESLHI 970 (A)         ADCL_B1 971 (A)          ADCL_B2 972 (A)       
   ADCL_BHI 973 (A)         ADCL_C1 974 (A)          ADCL_C2 975 (A)       
   ADCL_CHI 976 (A)         ADCL_D1 977 (A)          ADCL_D2 978 (A)       
   ADCL_DHI 979 (A)         ADCL_E1 980 (A)          ADCL_E2 981 (A)       
   ADCL_EHI 982 (A)         ADCL_F1 983 (A)          ADCL_F2 984 (A)       
   ADCL_FHI 985 (A)         ADCL_G1 986 (A)          ADCL_G2 987 (A)       
   ADCL_GHI 988 (A)         ADCL_H1 989 (A)          ADCL_H2 990 (A)       
   ADCL_HHI 991 (A)         ADCL_I1 992 (A)          ADCL_I2 993 (A)       
   ADCL_IHI 994 (A)         ADCL_J1 995 (A)          ADCL_J2 996 (A)       
   ADCL_JHI 997 (A)         ADCL_K1 998 (A)          ADCL_K2 999 (A)       
   ADCL_KHI 1000 (A)        ADCL_L1 1001 (A)         ADCL_L2 1002 (A)      
   ADCL_LHI 1003 (A)        ADCL_M1 1004 (A)         ADCL_M2 1005 (A)      
   ADCL_MHI 1006 (A)        ADCL_N1 1007 (A)         ADCL_N2 1008 (A)      
   ADCL_NHI 1009 (A)        ADCL_O1 1010 (A)         ADCL_O2 1011 (A)      
   ADCL_OHI 1012 (A)        ADCL_P1 1013 (A)         ADCL_P2 1014 (A)      
   ADCL_PHI 1015 (A)        BASECL1 1016 (A)         BASECL2 1017-1019 (A) 
   BASECLHI 1020 (A)        GDLINE1 1021-1025 (A)    GDLINE2 1026-1030 (A) 
   GDSTAT1 1031-1035 (A)    GDSTAT2 1036-1040 (A)    GDREF1 1041-1045 (A)  
   GDREF2 1046-1050 (A)     GDCROS1 1051-1055 (A)    GDCROS2 1056 (A)      
   NOCOMP 1057              GDLINEHI 1058-1062 (A)   GDSTATHI 1063-1067 (A)
   GDREFHI 1068-1072 (A)    GDCROSHI 1073-1077 (A)   SMIN1 1078-1085       
   SMIN2 1086-1093          SMIN3 1094-1101          SMIN4 1102-1109       
   SMIN5 1110-1117          SMIN6 1118-1124          SMIN7 1125-1131       
   SMIN8 1132-1138          SMIN9 1139               SMIN10 1140           
   SMIN11 1141              SMIN12 1142              SMIN13 1143           
   SMIN14 1144              SMIN15 1145              SMIN16 1146           
   SMIN17 1147              SMIN18 1148              SMIN19 1149           
   SMIN20 1150              SMIN21 1151              SMIN22 1152           
   SMIN23 1153              SMIN24 1154              SMIN25 1155           
   SMIN26 1156              SMIN27 1157              SMIN28 1158           
   SMIN29 1159              SMIN30 1160              SMIN31 1161           
   SMAX1 1162-1170          SMAX2 1171-1179          SMAX3 1180-1188       
   SMAX4 1189-1197          SMAX5 1198-1206          SMAX6 1207-1213       
   SMAX7 1214-1220          SMAX8 1221-1227          SMAX9 1228-1234       
   SMAX10 1235-1241         SMAX11 1242-1248         SMAX12 1249-1255      
   SMAX13 1256-1262         SMAX14 1263-1269         SMAX15 1270-1276      
   SMAX16 1277-1283         SMAX17 1284-1290         SMAX18 1291-1297      
   SMAX19 1298-1304         SMAX20 1305-1311         SMAX21 1312-1318      
   SMAX22 1319-1325         SMAX23 1326-1332         SMAX24 1333-1339      
   SMAX25 1340-1346         SMAX26 1347-1353         SMAX27 1354-1359      
   SMAX28 1360-1365         SMAX29 1366-1371         SMAX30 1372-1377      
   SMAX31 1378-1383         STA1_1 1384-1394 (A)     STA1_2 1395-1404 (A)  
   STA1_3 1405-1414 (A)     STA1_4 1415-1424 (A)     STA1_5 1425-1434 (A)  
   STA1_6 1435-1443 (A)     STA1_7 1444-1452 (A)     STA1_8 1453-1461 (A)  
   STA1_9 1462-1471 (A)     STA1_10 1472-1481 (A)    STA1_11 1482-1488 (A) 
   STA1_12 1489-1495 (A)    STA1_13 1496-1502 (A)    STA1_14 1503-1509 (A) 
   STA1_15 1510-1516 (A)    STA1_16 1517-1523 (A)    STA1_17 1524-1530 (A) 
   STA1_18 1531-1537 (A)    STA1_19 1538-1544 (A)    STA1_20 1545-1551 (A) 
   STA1_21 1552-1558 (A)    STA1_22 1559-1565 (A)    STA1_23 1566-1572 (A) 
   STA1_24 1573-1579 (A)    STA1_25 1580-1585 (A)    STA1_26 1586-1591 (A) 
   STA1_27 1592-1594 (A)    STA1_28 1595-1597 (A)    STA1_29 1598-1600 (A) 
   STA1_30 1601-1603 (A)    STA1_31 1604-1606 (A)    STA2_1 1607-1617 (A)  
   STA2_2 1618-1627 (A)     STA2_3 1628-1637 (A)     STA2_4 1638-1646 (A)  
   STA2_5 1647-1655 (A)     STA2_6 1656-1663 (A)     STA2_7 1664-1671 (A)  
   STA2_8 1672-1679 (A)     STA2_9 1680-1689 (A)     STA2_10 1690-1699 (A) 
   STA2_11 1700-1707 (A)    STA2_12 1708-1713 (A)    STA2_13 1714-1719 (A) 
   STA2_14 1720-1726 (A)    STA2_15 1727-1733 (A)    STA2_16 1734-1740 (A) 
   STA2_17 1741-1746 (A)    STA2_18 1747-1752 (A)    STA2_19 1753-1758 (A) 
   STA2_20 1759-1764 (A)    STA2_21 1765-1771 (A)    STA2_22 1772-1777 (A) 
   STA2_23 1778-1780 (A)    STA2_24 1781-1790 (A)    STA2_25 1791-1800 (A) 
   STA2_26 1801-1810 (A)    STA2_27 1811-1820 (A)    STA2_28 1821-1830 (A) 
   STA2_29 1831-1840 (A)    STA2_30 1841-1850 (A)    STA2_31 1851-1860 (A) 
   STA3_1 1861-1870 (A)     STA3_2 1871-1878 (A)     STA3_3 1879-1887 (A)  
   STA3_4 1888-1895 (A)     STA3_5 1896-1902 (A)     STA3_6 1903-1909 (A)  
   STA3_7 1910-1915 (A)     STA3_8 1916-1921 (A)     STA3_9 1922-1929 (A)  
   STA3_10 1930-1934 (A)    STA3_11 1935-1941 (A)    STA3_12 1942-1947 (A) 
   STA3_13 1948-1953 (A)    STA3_14 1954-1960 (A)    STA3_15 1961-1966 (A) 
   STA3_16 1967-1972 (A)    STA3_17 1973-1979 (A)    STA3_18 1980-1986 (A) 
   STA3_19 1987-1993 (A)    STA3_20 1994-2000 (A)    STA3_21 2001-2006 (A) 
   STA3_22 2007-2013 (A)    STA3_23 2014-2020 (A)    STA3_24 2021-2027 (A) 
   STA3_25 2028 (A)         STA3_26 2029 (A)         STA3_27 2030 (A)      
   STA3_28 2031 (A)         STA3_29 2032 (A)         STA3_30 2033 (A)      
   STA3_31 2034 (A)         NWSTAT1 2035-2045 (A)    NWSTAT2 2046-2056 (A) 
   NWSTAT3 2057-2066 (A)    NWSTAT4 2067-2076 (A)    NWSTAT5 2077-2086 (A) 
   NWSTAT6 2087-2094 (A)    NWSTAT7 2095-2103 (A)    NWSTAT8 2104-2110 (A) 
   NWSTAT9 2111-2117 (A)    NWSTAT10 2118-2127 (A)   NWSTAT11 2128-2137 (A)
   NWSTAT12 2138-2142 (A)   NWSTAT13 2143-2148 (A)   NWSTAT14 2149-2155 (A)
   NWSTAT15 2156-2161 (A)   NWSTAT16 2162-2168 (A)   NOUSTAT 2169-2170     
   AMENDYR 2171-2174        BASEFINE 2175-2183       CH2APP 2184           
   CH8FINGD 2185            CMSRVORD 2186            COMPLYPR 2187         
   COSTASSM 2188            FINOFFST 2189-2195       FORFEITR 2196-2205    
   GLFINMAX 2206-2214       GLFINMIN 2215-2223       REMEDORD 2224-2226    
   VICTNOTE 2227            BOOKERCD 2228-2229       QUARTER 2230          
   RETEXT1 2231-2257 (A)    RETEXT2 2258-2283 (A)    RETEXT3 2284 (A)      
   RETEXT4 2285 (A)         RETEXT5 2286 (A)         RETEXT6 2287 (A)      
   RETEXT7 2288 (A)         RETEXT8 2289 (A)         RETEXT9 2290 (A)      
   RETEXT10 2291 (A)        REAS1 2292-2294          REAS2 2295-2297       
   REAS3 2298               REAS4 2299-2301          REAS5 2302-2304       
   REAS6 2305-2307          REAS7 2308               REAS8 2309            
   REAS9 2310               REAS10 2311              INPLEA1 2312          
   INPLEA2 2313             INPLEA3 2314             INPLEA4 2315          
   INPLEA5 2316             INPLEA6 2317             INPLEA7 2318          
   INPLEA8 2319             INPLEA9 2320             INPLEA10 2321         
   INPLEA11 2322            INPLEA12 2323            INNOPL1 2324          
   INNOPL2 2325             INNOPL3 2326             INNOPL4 2327          
   INNOPL5 2328             INNOPL6 2329             INNOPL7 2330          
   INNOPL8 2331             INNOPL9 2332             INNOPL10 2333         
   INNOPL11 2334            INNOPL12 2335            SENTYR 2336-2339      
   BOOKER2 2340             BOOKER3 2341             NEWCNVTN 2342         
   RESTCAT 2343             FINECAT 2344             SUSFNCAT 2345         
   LCAT1 2346               LCAT2 2347               LCATHI 2348           
   LCATS1 2349              LCATS2 2350              LCATSHI 2351          
   LCATR1 2352              LCATR2 2353              LCATRHI 2354          
   LCATC1 2355              LCATC2 2356              LCATCHI 2357 .        


FORMATS
  MINFINML (F5.2) /        MAXFINML (F4.1) / .
   

SAVE OUTFILE='.\corp07nid.sav'.
